<?php
// Проверка выброса (записано время выброса, будущее)
if (file_exists(H."/#dat/emission.dat"))
{

$em=intval(file_get_contents(H."/#dat/emission.dat"));
  if($em==0)
  {
   $em_time=$s_time+(10*60);
   file_put_contents(H."/#dat/emission.dat",$em_time); 
  }
  //
  #echo "выброс через ".date("s",($em-$s_time))." <br />";
  //
$alarm_time=$em-$s_time;
#echo vremja($em)."<br />";
if($user['emission']){$dop_str='<b>Срочно ищите надежное убежище!</b>';}else{$dop_str=null;}
if($alarm_time<180)echo "<div class='errh'><img src='' width='12' height='12' />Приближается выброс $dop_str</div>";

  if($em<$s_time) // Сам выброс
  {
  #echo "Условия выброса<br />";
  // Убиваем всех игроков у кого emission=1
  mysql_query("UPDATE `user` SET `live`='0', `energy`='0' WHERE `emission`='1'");
  // Убиваем всех монстров и очищаем сообщения
  mysql_query("TRUNCATE TABLE `monstr`");
  mysql_query("TRUNCATE TABLE `logs`");
  // Удаляем прочитанные сообщения
  mysql_query("DELETE FROM `mail` WHERE `read`='1'");
  // Закрываем все бои
  mysql_query("UPDATE `fight` SET `stop`='$s_time' WHERE `stop`='0'");
  // оптимизируем таблицы
  mysql_query("OPTIMIZE TABLE `fight`, `jump`, `location`, `rukzak`, `searsart`, ` torgs`, `tovar`, `user`, `mail`");
  // Время следующего выброса
  $new_em = $s_time+(60*60*6);//(60*60*6);
  file_put_contents(H."/#dat/emission.dat",$new_em);
  file_put_contents(H."/#dat/oldemission.dat",$s_time); // Записываем последний выброс
  }
}
?>